Bug 1344 - Bug in printer publishing
Bug in printer publishing
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Printing
3.0.5
Other other
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-11 20:28 UTC by Tim Potter
Modified: 2005-11-14 09:41 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Potter 2004-05-11 20:28:54 UTC
I don't think this is a serious problem but I have forgotten so much about the
printing code in the last couple of months.  (-:  I think it assumes something
about the layout of the uuid structure as generated by the compiler.

Compiling rpc_server/srv_samr_nt.c
rpc_server/srv_spoolss_nt.c: In function `construct_printer_info_7':
rpc_server/srv_spoolss_nt.c:4288: warning: passing arg 3 of
`is_printer_published' from incompatible pointer type

Line 4288 is attempting to pass a pointer to a UUID_FLAT structure when it
should really be passing a pointer to a struct uuid.
Comment 1 Gerald (Jerry) Carter 2004-05-12 05:55:45 UTC
I already mentioned this to jmcd and he agreed it 
was probably an oversight.  Just haven't had time 
to track it down yet.
Comment 2 Gerald (Jerry) Carter 2004-06-25 09:22:55 UTC
jra just fixed this.
Comment 3 Gerald (Jerry) Carter 2005-02-07 09:47:44 UTC
originally against 3.0.5pre1 (which became 3.0.6pre1 due to security release))
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:26:21 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.